tt_close(library call)

NAME
tt_close — close the current default procid

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_close(void)

DESCRIPTION

The tt_close function closes the current default procid.

RETURN VALUE

Upon successful completion, the tt_close function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

APPLICATION USAGE

When the tt_close function call is successful, the procid will no longer be active. For any subsequent API calls the process must, therefore, first call tt_default_procid_set to specify a procid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3), tt_context_join(3).